REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single Sensor record by its Id.
{ "BusinessId": 123, "Desks": [ 123 ], "Resources": [ 123 ], "CannedResponseId": 123, "CannedResponseName": "<string>", "Name": "<string>", "Reference": "<string>", "Unit": "<string>", "Active": true, "SensorType": 123, "DataStrategy": 123, "PayloadDataPath": "<string>", "ActionTriggerFunction": "<string>", "ValueFunction": "<string>", "ActionSendEmailAlert": true, "AlertEmailAddress": "<string>", "WebhookUrl": "<string>", "ActionUpdateDeskAvailability": true, "ActionUpdateResourceAvailability": true, "ActionUpdateBookingOccupancy": true, "ActionSendCustomerEmailAlert": true, "ActionBookingStart": true, "ActionBookingTerminate": true, "ActionCheckInOrOut": true, "ActionMakeHttpRequest": true, "ShowInNowDashboard": true, "ShowInPortal": true, "SharedSecret": "<string>", "ApiKey": "<string>", "Username": "<string>", "Password": "<string>", "ReceivedDataOn": "<string>", "LastReceivedValue": "<string>", "LastValueTriggeredAction": true, "BatteryLevel": 123, "NetworkSignalStrength": 123, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
Sensor-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/sensors/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "Desks": [], "Resources": [], "CannedResponseId": null, "CannedResponseName": null, "Name": "", "Reference": "", "Unit": null, "Active": false, "SensorType": 0, "DataStrategy": 0, "PayloadDataPath": null, "ActionTriggerFunction": null, "ValueFunction": null, "ActionSendEmailAlert": false, "AlertEmailAddress": null, "WebhookUrl": null, "ActionUpdateDeskAvailability": false, "ActionUpdateResourceAvailability": false, "ActionUpdateBookingOccupancy": false, "ActionSendCustomerEmailAlert": false, "ActionBookingStart": false, "ActionBookingTerminate": false, "ActionCheckInOrOut": false, "ActionMakeHttpRequest": false, "ShowInNowDashboard": false, "ShowInPortal": false, "SharedSecret": null, "ApiKey": null, "Username": null, "Password": null, "ReceivedDataOn": null, "LastReceivedValue": null, "LastValueTriggeredAction": false, "BatteryLevel": null, "NetworkSignalStrength": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "Sensor Example", "LocalizationDetails": null, "CustomFields": null }